Page MenuHomePhabricator

Hackathons: Help people connect and start collaborating in advance of Hackathons
Closed, ResolvedPublic

Description

  • contact information and interests published in advance
  • relevant tech talks and discussions scheduled
  • more brainstorming soon

Event Timeline

Rfarrand created this task.Dec 2 2015, 2:48 PM
Rfarrand claimed this task.
Rfarrand raised the priority of this task from to Normal.
Rfarrand updated the task description. (Show Details)
Rfarrand added a subscriber: Rfarrand.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 2 2015, 2:48 PM
Qgil awarded a token.Dec 3 2015, 2:40 PM

I see three items to connect: People; their areas of interest; and specific projects (potentially T119703: Goal: Connect the priorities of the Community Wishlist and other tech priorities with the Wikimedia Hackathon 2016).

Wondering what's the best way to do this. Encouraging people to list their areas of interest and optionally specific projects on another wikipage? Then have someone (who?) go through and "assign" people based on their interests to projects, and contact each 'group' to encourage them discussing beforehand (via IRC meetings or emails etc)? Would require a "checklist" which advantages would have and potential outcomes such a beforehand-discussion should have, and creating a meeting summary for folks who could not join that beforehand-discussion?

Rfarrand renamed this task from Hackathons: Help people connect and start collaborating in advance on Hackathons to Hackathons: Help people connect and start collaborating in advance of Hackathons.Feb 17 2016, 5:15 PM
Rfarrand set Security to None.

@Rfarrand that;s a good idea, and perhaps onsite you could offer tags or buttons:

  • Buddy / [[Username]]
  • Looking for a Buddy
  • Have a Buddy but could work in a group!
  • Prefer to work alone

@Rfarrand - can you post the Hackathon page here for easy reference?

@Rfarrand - can you post the Hackathon page here for easy reference?

https://www.mediawiki.org/wiki/Hackathons

https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2016

@Rdicerb interesting! I like the buttons idea.... Hmmm what about something even more noticeable. Something you can put on your table?? Color of name badge lanyard that you can switch out throughout the event?

@Chen_WMIL - have you ordered name badge lanyards yet? Do you have plans for colors and their meanings? Also are there any plans yet for small whiteboards or folded papers for people to use to indicate at their hacking tables what they are working on?

I am sorry for side-tracking and bikeshedding, but...

If lanyard colors were used to express something, I'd prefer them for "I do not want photos of me to be taken, please do respect my rights". There were stickers in the past to express that, but if I take a photo from five meters away I really do not see people's small stickers worn on chests. While I do see lanyards and their colors from many angles.

Buttons would be lovely, ♥. When I'm talking to folks I'm often not five meters away using my megaphone but in front of them, so my old eyes could recognize their buttons/stickers.

Sumit added a subscriber: Sumit.Mar 8 2016, 3:46 AM
Qgil added a subscriber: Qgil.

To me, this is the biggest hackathon problem that we haven't resolved yet. @Rfarrand is this something you plan to continue working on in this quarter?

(And it seems that I had removed Developer-Advocacy by mistake)

Yes, if there is time I will. :)
If anyone else wants to discuss ideas in the mean time that would be helpful!

Qgil added a comment.Jul 5 2016, 8:59 PM

Should we discuss this in the context of the Wikimedia Developer Summit 2017 or the next Wikimedia Hackathon?

This task might welcome input from a future WMF Developer Advocate. :)

Qgil added a comment.Oct 6 2016, 7:39 AM

Should we discuss this in the context of the Wikimedia Developer Summit 2017 or the next Wikimedia Hackathon?

The form to request an invitation to Wikimedia-Developer-Summit (2017) includes questions about areas of focus and preferred programming languages. It says

Define your technical skills to help us shape the program accordingly and get participants in touch

As of today, we have not planned how exactly are we going to "get participants in touch" but I guess we have just prioritized this task for the Summit as well. :)

@Rfarrand what do you think?

Just to cross post from [T124262]

"So what we are doing right now for this: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2016/ParticipantInfo
The first column is a question in registration that people can opt into. The rest is filled in later and participants are asked multiple times to go there and fill in the rest. It does not work very well, but works a little bit.

One thing I was thinking of for this year was to send a VERY SIMPLE survey out to participants like 2 weeks in advance of the hackathon asking them for more information on their plans, projects, skills to offer etc. and then sending out a pre-hackathon participants news letter with the projects summarized and linked in an email. While also posting the info on the event wiki. It can also potentially ask people for help researching or setting up things in advance of the hackathon - these things can be front and center in the newsletter.

Otherwise, I was also thinking of doing a very informal IRC hour where people can join and talk about their projects, ask for volunteers, suggestions, etc. I can be there along with @srishakatux and maybe @Aklapper to help facilitate. If a bunch of people come, great! If not, no real harm done."

Rfarrand lowered the priority of this task from Normal to Low.Jan 6 2017, 10:20 PM

moving all tasks unrelated to dev summit to low, will readjust after summit.

Qgil added a comment.Mar 14 2017, 2:27 PM

Are there any plans to help people connect and start collaborating in advance of the Wikimedia Hackathon in Vienna?

Rfarrand closed this task as Resolved.May 9 2017, 5:29 AM

In 2017 we have a very robust mentoring program outlined here:
https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2017/Program#Mentoring_Program

We also have a contact page of information from all event attendees & multiple emails going out to participants in advance of the event asking them to start discussing work on Phabricator. WMAT is also hosting a few pre-event technical meetups locally. There were also regional hacking events as well, two excellent participants from the event in Greece were sponsored to attend Vienna.

I am closing this task as I think this was a good effort and there is nothing more we will be doing besides following through with out communication plan in 2017.